#
# SchoolTool - common information systems platform for school administration
# Copyright (c) 2010 Shuttleworth Foundation
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
"""
SchoolTool Niepa skin.
"""
from zope.publisher.interfaces.browser import IBrowserRequest
from zope.viewlet.viewlet import CSSViewlet

from schooltool.niepa.person.browser import IPersonLayer
from schooltool.skin.skin import ISchoolToolSkin
from schooltool.timetable.browser.skin import ITimetableLayer

from cando.newskin import INewCanDoSkin

class ISchoolToolNiepaLayer(IBrowserRequest):
    """The Niepa-specific UI layer"""


class ISchoolToolNiepaSkin(INewCanDoSkin,
                           ISchoolToolNiepaLayer,
                           ITimetableLayer,
                           IPersonLayer,
                           ISchoolToolSkin):
    """The SchoolToolNiepa skin"""


NiepaCSSViewlet = CSSViewlet("niepa.css")
