#
# SchoolTool - common information systems platform for school administration
# Copyright (c) 2005 Shuttleworth Foundation
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
"""
Functional tests for schooltool.cambodia.app

$Id$
"""

import unittest

from schooltool.testing.functional import collect_ftests
from schooltool.niepa.person.ftesting import niepa_person_functional_layer
from schooltool.testing.functional import TestBrowser


def logInManager():
    manager = TestBrowser('manager', 'schooltool')
    manager.handleErrors = False
    manager.open('http://localhost/')
    return manager


def addTeacher(firstname, lastname, username, password=None, browser=None):
    if password is None:
        password = ''
    if browser is None:
        browser = logInManager()
    browser.getLink('Manage').click()
    browser.getLink('Teachers').click()
    browser.getLink('New Teacher').click()
    browser.getControl('First name').value = firstname
    browser.getControl('Last name').value = lastname
    browser.getControl('Username').value = username
    browser.getControl('Password').value = password
    browser.getControl('Confirm').value = password
    browser.getControl('Add').click()


def addStudent(firstname, lastname, level, browser=None):
    if browser is None:
        browser = logInManager()
    browser.getLink('Manage').click()
    browser.getLink('Students').click()
    browser.getLink('New Student').click()
    browser.getControl('First name', index=0).value = firstname
    browser.getControl('Last name', index=0).value = lastname
    browser.getControl('Level').value = [level.encode('punycode')]
    browser.getControl('Add').click()


def addAdministrator(firstname, lastname, username, password=None,
                     browser=None):
    if password is None:
        password = ''
    if browser is None:
        browser = logInManager()
    browser.getLink('Manage').click()
    browser.getLink('Administrators').click()
    browser.getLink('New Administrator').click()
    browser.getControl('First name').value = firstname
    browser.getControl('Last name').value = lastname
    browser.getControl('Username').value = username
    browser.getControl('Password').value = password
    browser.getControl('Confirm').value = password
    browser.getControl('Add').click()


def test_suite():
    return collect_ftests(layer=niepa_person_functional_layer)

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')
