#
# SchoolTool - common information systems platform for school administration
# Copyright (c) 2010 Shuttleworth Foundation
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
"""
Niepa person
"""

from zope.security.proxy import removeSecurityProxy
from zope.annotation.interfaces import IAnnotations

from schooltool.basicperson.person import PersonFactoryUtility


class NiepaPersonFactoryUtility(PersonFactoryUtility):

    def columns(self):
        first_name, last_name = super(NiepaPersonFactoryUtility,
                                      self).columns()
        return [last_name, first_name]


def getGroup(person):
    person = removeSecurityProxy(person)
    # XXX: assumes person has only one level group
    for group in person.groups:
        return group

def setGroup(person, group):
    person = removeSecurityProxy(person)
    group = removeSecurityProxy(group)
    current_group = getGroup(person)
    if current_group is None:
        if group is not None:
            group.members.add(person)
    else:
        if current_group is not group:
            current_group.members.remove(person)
            if group is not None:
                group.members.add(person)

